# Evision Example Collection

## Evision
### Get Started with Some Basic Functions

[getting_started.livemd](getting_started.livemd)

Related functions:
- `Evision.imread`
- `Evision.imwrite`
- `Evision.imencode`
- `Evision.imdecode`
- `Evision.imresize`

[![Run in Livebook](https://livebook.dev/badge/v1/gray.svg)](https://livebook.dev/run?url=https%3A%2F%2Fgithub.com%2Fcocoa-xu%2Fevision%2Fblob%2Fmain%2Fexamples%2Fgetting_started.livemd)

### QRCode Encoding and Decoding

[qrcode.livemd](qrcode.livemd)

Related functions:
- `Evision.QRCodeEncoder.encode`
- `Evision.QRCodeDetector.detectAndDecode`

[![Run in Livebook](https://livebook.dev/badge/v1/gray.svg)](https://livebook.dev/run?url=https%3A%2F%2Fgithub.com%2Fcocoa-xu%2Fevision%2Fblob%2Fmain%2Fexamples%2Fqrcode.livemd)

### Warp Perspective

[warp_perspective.livemd](warp_perspective.livemd)

Related functions:
- `Evision.getPerspectiveTransform`
- `Evision.warpPerspective`

[![Run in Livebook](https://livebook.dev/badge/v1/gray.svg)](https://livebook.dev/run?url=https%3A%2F%2Fgithub.com%2Fcocoa-xu%2Fevision%2Fblob%2Fmain%2Fexamples%2Fwarp_perspective.livemd)

### Warp Polar
Remaps an image to polar or semilog-polar coordinates space.

[warp_polar.livemd](warp_polar.livemd)

Related functions:
- `Evision.warpPolar`

[![Run in Livebook](https://livebook.dev/badge/v1/gray.svg)](https://livebook.dev/run?url=https%3A%2F%2Fgithub.com%2Fcocoa-xu%2Fevision%2Fblob%2Fmain%2Fexamples%2Fwarp_polar.livemd)

### Find and Draw Contours in an Image

[find_and_draw_contours.livemd](find_and_draw_contours.livemd)

Related functions:
- `Evision.drawContours`

[![Run in Livebook](https://livebook.dev/badge/v1/gray.svg)](https://livebook.dev/run?url=https%3A%2F%2Fgithub.com%2Fcocoa-xu%2Fevision%2Fblob%2Fmain%2Fexamples%2Ffind_and_draw_contours.livemd)

### Stitching Multiple Photos into A Panorama Photo

[stitching.livemd](stitching.livemd)

Related functions:
- `Evision.Stitcher.stitch`

[![Run in Livebook](https://livebook.dev/badge/v1/gray.svg)](https://livebook.dev/run?url=https%3A%2F%2Fgithub.com%2Fcocoa-xu%2Fevision%2Fblob%2Fmain%2Fexamples%2Fstitching.livemd)

### Principal Components Analysis

[pca.livemd](pca.livemd)

Related functions:
- `Evision.pcaCompute2`
- `Evision.drawContours`

[![Run in Livebook](https://livebook.dev/badge/v1/gray.svg)](https://livebook.dev/run?url=https%3A%2F%2Fgithub.com%2Fcocoa-xu%2Fevision%2Fblob%2Fmain%2Fexamples%2Fpca.livemd)

### Extracting Sudoku Puzzle from An Image

[sudoku.livemd](sudoku.livemd)

[![Run in Livebook](https://livebook.dev/badge/v1/gray.svg)](https://livebook.dev/run?url=https%3A%2F%2Fgithub.com%2Fcocoa-xu%2Fevision%2Fblob%2Fmain%2Fexamples%2Fsudoku.livemd)

### Simple use of Evision in a Machine Learning Pipeline with Nx and torhcx

[cifar10.livemd](cifar10.livemd)

[![Run in Livebook](https://livebook.dev/badge/v1/gray.svg)](https://livebook.dev/run?url=https%3A%2F%2Fgithub.com%2Fcocoa-xu%2Fevision%2Fblob%2Fmain%2Fexamples%2Fcifar10.livemd)

## Evision.DNN
### Object Detection Task with GoogleNet

[dnn-googlenet.livemd](dnn-googlenet.livemd)

[![Run in Livebook](https://livebook.dev/badge/v1/gray.svg)](https://livebook.dev/run?url=https%3A%2F%2Fgithub.com%2Fcocoa-xu%2Fevision%2Fblob%2Fmain%2Fexamples%2Fdnn-googlenet.livemd)

### Generic Object Detection Task

[dnn-detection-model.livemd](dnn-detection-model.livemd)

[![Run in Livebook](https://livebook.dev/badge/v1/gray.svg)](https://livebook.dev/run?url=https%3A%2F%2Fgithub.com%2Fcocoa-xu%2Fevision%2Fblob%2Fmain%2Fexamples%2Fdnn-detection-model.livemd)

### High Dynamic Range Imaging

[photo-hdr.livemd](photo-hdr.livemd)

[![Run in Livebook](https://livebook.dev/badge/v1/gray.svg)](https://livebook.dev/run?url=https%3A%2F%2Fgithub.com%2Fcocoa-xu%2Fevision%2Fblob%2Fmain%2Fexamples%2Fphoto-hdr.livemd)

### Benchmark using Densenet121

[densenet121_benchmark.livemd](densenet121_benchmark.livemd)

[![Run in Livebook](https://livebook.dev/badge/v1/gray.svg)](https://livebook.dev/run?url=https%3A%2F%2Fgithub.com%2Fcocoa-xu%2Fevision%2Fblob%2Fmain%2Fexamples%2Fdensenet121_benchmark.livemd)

## Evision.ML
### SVM

[ml-svm.livemd](ml-svm.livemd)

[![Run in Livebook](https://livebook.dev/badge/v1/gray.svg)](https://livebook.dev/run?url=https%3A%2F%2Fgithub.com%2Fcocoa-xu%2Fevision%2Fblob%2Fmain%2Fexamples%2Fml-svm.livemd)

### Decision Tree and Random Forest

[ml-decision_tree_and_random_forest.livemd](ml-decision_tree_and_random_forest.livemd)

[![Run in Livebook](https://livebook.dev/badge/v1/gray.svg)](https://livebook.dev/run?url=https%3A%2F%2Fgithub.com%2Fcocoa-xu%2Fevision%2Fblob%2Fmain%2Fexamples%2Fml-decision_tree_and_random_forest.livemd)
